import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/Rajashekar551998/9c0dd3eba72d15756bec6b3030a6495c/raw/591f37564adc239f74a5f68a82636be4370f2b2b/Health%2520disorders';

const row = d => {
  d.CountryPopulationWithMentalIllness = +d['TotalPercentageOfPopulation'];
  return d;
};

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
