import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/Rajashekar551998/6ad720f99572f9eccc83de1682e96c32/raw/b2d0b0fc3ebf70d1999357ee0f8cc583e9b6e81a/Countries%2520with%2520region%2520code';

export const useCodes = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl).then(setData);
  }, []);

  return data;
};
